#!/bin/bash
#
function check_connectivity {
	LOCAL_IP="$(hostname -I)"
    while [ "$LOCAL_IP" == "" ]; do
	    sleep 30
        LOCAL_IP="$(hostname -I)"
    done
    WAIT_TIME=1m
    FLAG=0
    TEST_IPS="educaciodigital.cat ubuntu.com wikipedia.org"
    TARGET=($(echo $TEST_IPS))
    N_TARGET=${#TARGET[@]}
    let 'N_TARGET -=1'
    TEST_PORT=443
    CURRENT_TEST_IP=0
    while [ $FLAG -eq 0 ];
    do
    TESTIP=${TARGET[$CURRENT_TEST_IP]}
        if [ -z "$(nmap  -p $TEST_PORT $TESTIP  2>/dev/null |grep open)" ]; then
	        if [ $CURRENT_TEST_IP -lt $N_TARGET ]; then   
	            let 'CURRENT_TEST_IP +=1'
            else
                CURRENT_TEST_IP=0
                sleep $WAIT_TIME
            fi
        else
            FLAG=1
        fi
    done
}

#
# MAIN
#
# ES REGISTRA EL PAQUET FICTICI CA - linkat-secure-dns-family-check
#
if [ ! -f /opt/configuracio/linkat-secure-dns-family-check ]; then
    check_connectivity
    COUNTER=0
    while [ -z "$(pidof -s caf)" ] && [ $COUNTER -le 6  ]; do
        let COUNTER+=1
        sleep 5s
    done    
    if [ -n "$(pidof -s caf)" ]; then
		. /etc/profile.CA all
		sd_acmd AddInstallRecord "linkat-secure-dns-family-edc" "V1.0" "install" current current "Imatge" ""
		caf start sdagent amagent
		touch /opt/configuracio/linkat-secure-dns-family-check
		chmod 644 /opt/configuracio/linkat-secure-dns-family-check
		exit 0
	fi
fi
exit 0
